curl -G https://api.pipedream.com/v1/components/search \
--data-urlencode "query=When a new HubSpot contact is added, send me an SMS" \
-d "limit=1" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json"
{
"sources": [
"hubspot-new-contact"
],
"actions": [
"twilio-send-sms"
]
}
Search for registry components
GET
/
components
/
search
curl -G https://api.pipedream.com/v1/components/search \
--data-urlencode "query=When a new HubSpot contact is added, send me an SMS" \
-d "limit=1" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json"
{
"sources": [
"hubspot-new-contact"
],
"actions": [
"twilio-send-sms"
]
}
Search for components in the global registry with natural language. Pipedream will use AI to match your query to the most relevant components.
Endpoint
GET /components/search
Parameters
string
required
The query string to search for components in the global registry, e.g. “Send a message to Slack on new HubSpot contacts”
string
The name slug the app you’d like to filter results for. For example, Slack’s name slug is
slack. Returned sources and actions are filtered to only those tied to the specified app.You can find the name slug under the Authentication section of any app page.number
The minimum similarity score required for a component to be returned. The similarity score is a number between 0 and 1, where 1 is a perfect match. Similarity here is computed as the cosine distance between the embedding of the user query and the embedding of the component’s metadata.
boolean
Pass
debug=true to return additional data in the response, useful for inspecting the results.curl -G https://api.pipedream.com/v1/components/search \
--data-urlencode "query=When a new HubSpot contact is added, send me an SMS" \
-d "limit=1" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json"
{
"sources": [
"hubspot-new-contact"
],
"actions": [
"twilio-send-sms"
]
}
Was this page helpful?